{********************************************************
 * Demo2                                                *
 *                                                      *
 * This sample outline a simple acounting application   *
 * where in separate way of the main application is     *
 * possible to register the following optional modules: *
 *                                                      *
 *     1. General Ledger                                *
 *     2. Receivable                                    *
 *     3. Payable                                       *
 *     4. Utilities                                     *
 *                                                      *
 * New in v3.1 : Now improved with multilanguage        *
 * feature. Please see File|Language menu option        *
 *                                                      *
 *     Part of the AVLock PRO package                   *
 *     (c) Alcides Valega, 2004                         *
 ********************************************************}

unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, StdCtrls, jpeg, ExtCtrls, shellapi, registry, inifiles,
  AVLock3Pro;

type
  TForm1 = class(TForm)
    MM1: TMainMenu;
    GLedger1: TMenuItem;
    Item111: TMenuItem;
    Item121: TMenuItem;
    Receiv1: TMenuItem;
    Item211: TMenuItem;
    Item221: TMenuItem;
    m1Opcin31: TMenuItem;
    Payable1: TMenuItem;
    m3Opcin11: TMenuItem;
    m3Opcin21: TMenuItem;
    m3Opcin31: TMenuItem;
    Util1: TMenuItem;
    m4Opcin11: TMenuItem;
    m4Opcin21: TMenuItem;
    File1: TMenuItem;
    Exit1: TMenuItem;
    Registration1: TMenuItem;
    Image1: TImage;
    Label1: TLabel;
    Label2: TLabel;
    LBuy: TLabel;
    AVLock3Pro1: TAVLock3Pro;
    LUserName: TLabel;
    LName: TLabel;
    LComp: TLabel;
    LCompany: TLabel;
    LStat: TLabel;
    LStatus: TLabel;
    LKey: TLabel;
    LRegKey: TLabel;
    LOCode: TLabel;
    LOrderCode: TLabel;
    LMCode: TLabel;
    LMachineCode: TLabel;
    Language1: TMenuItem;
    English1: TMenuItem;
    Spanish1: TMenuItem;
    procedure FormCreate(Sender: TObject);
    procedure Item111Click(Sender: TObject);
    procedure Item121Click(Sender: TObject);
    procedure m1Opcin31Click(Sender: TObject);
    procedure Item211Click(Sender: TObject);
    procedure Item221Click(Sender: TObject);
    procedure m3Opcin11Click(Sender: TObject);
    procedure m3Opcin21Click(Sender: TObject);
    procedure m3Opcin31Click(Sender: TObject);
    procedure m4Opcin11Click(Sender: TObject);
    procedure m4Opcin21Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure Registration1Click(Sender: TObject);
    procedure Label1Click(Sender: TObject);
    procedure Label2Click(Sender: TObject);
    procedure Image1Click(Sender: TObject);
    procedure English1Click(Sender: TObject);
    procedure Spanish1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure legend(m,i:integer);
    procedure LoadLangStrings(lng:string);
    procedure SaveConfig;
    procedure ReadConfig;
  end;

var
  Form1: TForm1;
  path, lng:string;
  Langlist :tlistbox;

implementation

{$R *.DFM}

//lng : extension eng=english, spa=spanish
procedure TForm1.LoadLangStrings(lng:string);
begin
  LangList.items.Clear;
  LangList.Items.LoadFromFile(path+'\demo2.'+lng);
  File1.Caption := langlist.items[0];
  Registration1.Caption := langlist.items[1];
  Language1.Caption := langlist.items[2];
  English1.Caption := langlist.items[3];
  Spanish1.Caption := langlist.items[4];
  Exit1.Caption := langlist.items[5];
  GLedger1.Caption := langlist.items[6];
  Receiv1.Caption := langlist.items[7];
  Payable1.Caption := langlist.items[8];
  Util1.Caption := langlist.items[9];
  LName.Caption := langlist.items[10];
  LComp.Caption := langlist.items[11];
  LKey.Caption := langlist.items[12];
  LStat.Caption := langlist.items[13];
  LMCode.Caption := langlist.items[14];
  LOCode.Caption := langlist.items[15];
  LBuy.Caption := langlist.items[16];

  AVLock3Pro1.Module1Text := langlist.items[6];
  AVLock3Pro1.Module2Text := langlist.items[7];
  AVLock3Pro1.Module3Text := langlist.items[8];
  AVLock3Pro1.Module4Text := langlist.items[9];
end;

procedure TForm1.SaveConfig;
var
  Ini: TIniFile;
begin
  Ini := TIniFile.Create(path+'\demo2.ini');
  try
  Ini.WriteString('Config', 'Language', Lng);
  finally
    ini.free;
  end;
end;

procedure TForm1.ReadConfig;
var
  Ini: TIniFile;
begin
  Ini := TIniFile.Create(path+'\demo2.ini');
  try
  Lng:=Ini.ReadString('Config', 'Language', 'eng');
  finally
    ini.free;
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  LangList:=TListBox.Create(self);
  LangList.Parent := self;
  LangList.visible:=False;
  path:=ExtractFileDir(paramstr(0));
  readconfig;
  LoadLangStrings(lng);
  AVLock3Pro1.LoadLangList(path+'\avlock.'+lng);
  English1.Checked := (lng='eng');
  Spanish1.Checked := (lng='spa');

  with avlock3pro1 do begin
    execute;
    MM1.Items[1].visible := mods[1];
    MM1.Items[2].visible := mods[2];
    MM1.Items[3].visible := mods[3];
    MM1.Items[4].visible := mods[4];
    LUserName.caption:=UserName;
    LCompany.caption:=UserCompany;
    LUserName.caption:=UserName;
    LCompany.caption:=UserCompany;
    LRegKey.Caption := RegKey;
    case Status of
      0: LStatus.caption:='TRIAL';
      1: LStatus.caption:='AUTHORIZED';
      2: LStatus.caption:='REGISTERED';
    end;
    LMachineCode.caption:= MachineCode;
    LOrderCode.caption:= OrderCode;
  end;
end;

procedure TForm1.English1Click(Sender: TObject);
begin
  lng:='eng';
  LoadLangStrings(lng);
  AVLock3Pro1.LoadLangList(path+'\avlock.'+lng);
  English1.Checked :=True;
  saveconfig;
end;

procedure TForm1.Spanish1Click(Sender: TObject);
begin
  lng:='spa';
  LoadLangStrings(lng);
  AVLock3Pro1.LoadLangList(path+'\avlock.'+lng);
  Spanish1.Checked :=True;
  saveconfig;
end;

procedure TForm1.legend(m,i:integer);
begin
  showmessage('Module: '+avlock3pro1.txtmods[m]+'       Item: '+inttostr(i)+#13#10+
  '--------------------------------------------'+#13#10+
  'Sample program using the AVLock Pro component');
end;

procedure TForm1.Item111Click(Sender: TObject);
begin
  legend(1,1);
end;

procedure TForm1.Item121Click(Sender: TObject);
begin
  legend(1,2);
end;

procedure TForm1.m1Opcin31Click(Sender: TObject);
begin
  legend(1,3);
end;

procedure TForm1.Item211Click(Sender: TObject);
begin
  legend(2,1);
end;

procedure TForm1.Item221Click(Sender: TObject);
begin
  legend(2,2);
end;

procedure TForm1.m3Opcin11Click(Sender: TObject);
begin
  legend(3,1);
end;

procedure TForm1.m3Opcin21Click(Sender: TObject);
begin
  legend(3,2);
end;

procedure TForm1.m3Opcin31Click(Sender: TObject);
begin
  legend(3,3);
end;

procedure TForm1.m4Opcin11Click(Sender: TObject);
begin
  legend(4,1);
end;

procedure TForm1.m4Opcin21Click(Sender: TObject);
begin
  legend(4,2);
end;

procedure TForm1.Exit1Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.Registration1Click(Sender: TObject);
begin
  avlock3pro1.doexecute;
end;

procedure TForm1.Label1Click(Sender: TObject);
begin
  ShellExecute(0, 'open',
  Pchar('https://secure.element5.com/shareit/checkout.html?productid=209900&language=English'),
  nil, nil, SW_SHOWMAXIMIZED);
end;

procedure TForm1.Label2Click(Sender: TObject);
begin
  ShellExecute(0, 'open',
  Pchar('https://secure.element5.com/shareit/checkout.html?productid=209901&language=English'),
  nil, nil, SW_SHOWMAXIMIZED);
end;

procedure TForm1.Image1Click(Sender: TObject);
begin
  ShellExecute(0, 'open',
  Pchar('http://avsoft.sitio.net'),
  nil, nil, SW_SHOWMAXIMIZED);
end;


end.
